using System;

namespace Nesusedni
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string x = Console.ReadLine();
            char[] c = x.ToCharArray();
            char c1 = c[0];
            char c2 = c[1];
            string[] array=Console.ReadLine().Split(' ');
            int a1 = Convert.ToInt32(array[0]);
            int a2 = Convert.ToInt32(array[1]);
            if (Math.Abs(a1 - a2) <= 1)
            {
                for(int i = 0; i < a1 + a2; i++)
                {
                    if (a1 >= a2)
                    {
                        if (i % 2 == 0) Console.Write(c1); else Console.Write(c2);
                    }
                    else
                    {
                        if (i % 2 == 0) Console.Write(c2); else Console.Write(c1);
                    }
                }
            }else Console.WriteLine("nemoguce");
        }
    }
}